This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 594556 - NumberFormatException, probably when session expired while showing an operation error
Summary: NumberFormatException, probably when session expired while showing an operati...
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
(Show other bugs)
Version: 1.3.1
Hardware: All Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 02:09 UTC by Ondřej Žižka
Modified: 2010-09-24 12:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 12:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NPE stacktrace (44.21 KB, text/plain)
2010-05-21 02:19 UTC, Ondřej Žižka
no flags Details

Description Ondřej Žižka 2010-05-21 02:09:25 UTC
Version-Release number of selected component (if applicable):
JON 2.3.1


How reproducible:
Not easily. Happened when I got back to JON browser's tab after few minutes. Not sure what action have I performed or even whether any. Hopefully the stacktrace will give some more info.

Happened at URL:

http://dev35.qa.atl2.redhat.com:7080/rhq/resource/content/history-request-item.xhtml?id=10011&selectedHistoryId=10101&selectedRequestId=10001&conversationId=138



java.lang.NumberFormatException: null
	java.lang.Integer.parseInt(Integer.java:417)
	java.lang.Integer.parseInt(Integer.java:499)
	org.rhq.enterprise.gui.content.ShowInstalledPackageHistoryUIBean.getSelectedHistoryId(ShowInstalledPackageHistoryUIBean.java:80)
	org.rhq.enterprise.gui.content.ShowInstalledPackageHistoryUIBean.getHistory(ShowInstalledPackageHistoryUIBean.java:55)
	org.rhq.enterprise.gui.content.ShowInstalledPackageHistoryUIBean.getInstallationSteps(ShowInstalledPackageHistoryUIBean.java:92)
	sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	java.lang.reflect.Method.invoke(Method.java:597)
	javax.el.BeanELResolver.getValue(BeanELResolver.java:62)
	javax.el.CompositeELResolver.getValue(CompositeELResolver.java:53)
	com.sun.faces.el.FacesCompositeELResolver.getValue(FacesCompositeELResolver.java:72)

Comment 1 Ondřej Žižka 2010-05-21 02:19:35 UTC
Created attachment 415553 [details]
NPE stacktrace

Comment 2 Corey Welton 2010-09-24 12:35:46 UTC
closing per gwt work


Note You need to log in before you can comment on or make changes to this bug.